Package opennlp.tools.tokenize.uax29

# Enum Class WordType

java.lang.Object
java.lang.Enum<WordType>
opennlp.tools.tokenize.uax29.WordType

All Implemented Interfaces:
  `Serializable`, `Comparable<WordType>`, `Constable`

public enum WordType extends Enum<WordType>
The category of a word token. `ALPHANUMERIC` and `NUMERIC` cover letter and digit words; the remaining categories identify scripts and emoji that benefit from script-specific handling. The boundaries themselves follow the Unicode release shipped with `WordSegmenter`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALPHANUMERIC`
  A token that contains at least one letter (optionally mixed with digits and connectors).
  `EMOJI`
  An emoji, emoji sequence, or regional-indicator flag.
  `HANGUL`
  A Hangul token.
  `HIRAGANA`
  A Hiragana token.
  `IDEOGRAPHIC`
  A token containing a Han ideograph (one ideograph per token under UAX #29 segmentation).
  `KATAKANA`
  A Katakana token.
  `NUMERIC`
  A token made up entirely of digits and numeric connectors.
  `SOUTHEAST_ASIAN`
  A token in a Southeast Asian script that requires dictionary segmentation (Thai, Lao, ...).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WordType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WordType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALPHANUMERIC

    public static final WordType ALPHANUMERIC
    A token that contains at least one letter (optionally mixed with digits and connectors).

  - ### NUMERIC

    public static final WordType NUMERIC
    A token made up entirely of digits and numeric connectors.

  - ### IDEOGRAPHIC

    public static final WordType IDEOGRAPHIC
    A token containing a Han ideograph (one ideograph per token under UAX #29 segmentation).

  - ### HIRAGANA

    public static final WordType HIRAGANA
    A Hiragana token.

  - ### KATAKANA

    public static final WordType KATAKANA
    A Katakana token.

  - ### HANGUL

    public static final WordType HANGUL
    A Hangul token.

  - ### SOUTHEAST_ASIAN

    public static final WordType SOUTHEAST_ASIAN
    A token in a Southeast Asian script that requires dictionary segmentation (Thai, Lao, ...).

  - ### EMOJI

    public static final WordType EMOJI
    An emoji, emoji sequence, or regional-indicator flag.

- ## Method Details

  - ### values

    public static WordType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WordType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null